Export (0) Print
Expand All

Hardware and Software Requirements for Sync Framework

Microsoft Sync Framework is supported on the following desktop operating systems.

Operating system Edition Processor type

Windows XP Service Pack 3

Home and Professional

32-bit, 64-bit, WOW64

Windows Vista

Starter, Home Basic, Home Premium, Business, Enterprise, and Ultimate

32-bit, 64-bit, WOW64

Windows 7

Starter, Home Basic, Home Premium, Professional, Enterprise, and Ultimate

32-bit, 64-bit, WOW64

Windows Server 2003 and R2

Standard, Enterprise, and Datacenter

32-bit, 64-bit, Itanium-based Systems, WOW64

Windows Server 2008 and R2

Standard, Enterprise, and Datacenter

32-bit, 64-bit, Itanium-based Systems, WOW64

Sync Framework managed components require at least ADO.NET 2.0.

Database Synchronization Providers

In addition to desktop operating systems, database synchronization providers are supported on the following device operating systems:

  • Windows Mobile 5.0 and 6.0

  • Windows CE 5.0 and 6.0

All database synchronization providers are written in managed code. They require ADO.NET 2.0 for the server and for desktop clients. They require .NET Compact Framework 2.0 Service Pack 2 for device clients. For information about how the ADO.NET version affects data type mapping, see Data Type Mapping and Considerations.

For information about which databases are supported, see Architecture and Classes for Client and Server Synchronization and Architecture and Classes for Collaborative Synchronization.

See Also

Show:
© 2015 Microsoft